#include "reg_spi.h"

//************************************* SPI Test-Functions *************************************************//

void SPIInit()
	{
	APMC_PCER |= SPI_CLK_EN;
	SPI_BASE->SP_CR = SP_SWRST;
	SPI_BASE->SP_CR = SP_SPIEN;		
	
	SPI_BASE->SP_MR = SP_MSTR | SP_PS_VARIABLE | SP_DLYBCS ;	
	SPI_BASE->SP_CSR[0]= SP_BITS_8 | SP_SCBR4Mbit | SP_DLYBS | SP_DLYBCT | SP_CPOL;
	SPI_BASE->SP_CSR[1]= SP_BITS_8 | SP_SCBR2Mbit | SP_DLYBS | SP_DLYBCT | SP_CPOL;
	
	PIOA_PDR  |= 0x0F800000;	
	}
	
void SPIsendchar(unsigned char SPIchar, unsigned int PCSsignal)
	{
	while(!(SPI_BASE->SP_SR & SP_TDRE));
	SPI_BASE->SP_TDR = SPIchar | PCSsignal; 
	while(!(SPI_BASE->SP_SR & SP_TDRE));
	}
	

int SPIreceivechar(unsigned int PCSsignal)
	{
	SPIsendchar(0x00, PCSsignal);					// Dummy for Reading
	while (!(SPI_BASE->SP_SR & SP_RDRF));
	return((SPI_BASE->SP_RDR & 0xFF));
	}



