/********************************************************************************/
/*	FILE 			: Blinky.C													*/
/*																				*/
/*	DESCRIPTION 	: Blinky-Programm fr PHYTEC-Board phyCORE-AT91M55800A		*/
/*																				*/
/*			 		  Output of the Blinky function on the 			 			*/
/*			 		  Developmentboard HD200 5V									*/		
/*			  		  Jumpersettings : J17: 1 + 2								*/
/*																				*/
/*	AUTHOR			: A.Beuscher												*/
/*			 		  PHYTEC Metechnik GmbH									*/
/*																				*/
/*	VERSOIN			: V1.05														*/
/*																				*/
/*	TOOLCHAIN		: Metrowerks CodeWarrior V1.2								*/
/*																				*/
/*	DATE			: 12.12.2002												*/
/********************************************************************************/


/* Includes */
#include "parts/m55800/m55800.h"
#include "parts/m55800/reg_m55800.h"

int main(void)
{
	unsigned long x;
	
	PIOA_PER = 0x01;
	PIOA_OER = 0x01;
		
	while(1)
			{
			PIOA_CODR = 0x01;
			for(x=0;x<200000;x++);
			PIOA_SODR = 0x01;	
			for(x=0;x<200000;x++);
			}

}

