/********************************************************************************/
/*	FILE 		: Main.C						*/
/*										*/
/*	DESCRIPTION 	: CAN-Programm fr PHYTEC-Board phyCORE-AT91M55800A	*/
/*										*/
/*			  Output of serial data at COM 1 19200 baud		*/
/*										*/
/*	AUTHOR		: A.Beuscher						*/
/*			  PHYTEC Metechnik GmbH				*/
/*										*/
/*	VERSOIN		: V1.00							*/
/*										*/
/*	TOOLCHAIN	: HIGHTEC GNU ARM Development Suite 1.0			*/
/*										*/
/*	DATE		: 19.12.2002						*/
/********************************************************************************/


/* Includes */
#include "parts/m55800/m55800.h"
#include "parts/m55800/reg_m55800.h"
#include "can.h"
#include "serial.h"
#include "spi.h"

int main(void)
	{
	unsigned long x;
	
	init_serial(COM1,38400);
	SPIInit();
	
	PIOA_PER = 0x01;
	PIOA_OER = 0x01;
		
	while(1)
			{
			PIOA_CODR = 0x01;
			for(x=0;x<100000;x++);
			PIOA_SODR = 0x01;	
			for(x=0;x<100000;x++);
			TestCAN();
			}
	}

	

