/********************************************************************************/
/*	FILE 		: Hello.C						*/
/*										*/
/*	DESCRIPTION 	: Testprogramm fr PHYTEC-Board phyCORE-AT91M55800A	*/
/*										*/
/*			 Output of Hello World at COM1				*/		
/*										*/
/*	AUTHOR		: A.Beuscher						*/
/*			  PHYTEC Metechnik GmbH				*/
/*										*/
/*	VERSOIN		: V1.0							*/
/*										*/
/*	TOOLCHAIN	: HIGHTEC GNU-ARM Development Suite 1.0			*/
/*										*/
/*	DATE		: 12.12.2002						*/
/********************************************************************************/

/* Includes */
#include "parts/m55800/m55800.h"
#include "parts/m55800/reg_m55800.h"
#include "../h/serial.h"
#include <stdio.h>
#include <string.h>

int main(void)
	{
	PIOA_PER = 0x01;
	PIOA_OER = 0x01;

	init_serial(COM1);

	at91_printf(COM1,"Hello World");

	while(1);
	}

