STARTUP(vectors.o)
ENTRY(reset_vector)

MEMORY
{
    ram1 : ORIGIN = 0x00, LENGTH = 0x2000
    ram2 : ORIGIN = 0x4080000, LENGTH = 0x80000
    rom  : ORIGIN = 0x4000000, LENGTH = 0x80000
}

SECTIONS
{
    .debug_aranges  0 : { *(.debug_aranges) } .debug_pubnames 0 : { *(.debug_pubnames) } .debug_info     0 : { *(.debug_info) } .debug_abbrev   0 : { *(.debug_abbrev) } .debug_line     0 : { *(.debug_line) } .debug_frame    0 : { *(.debug_frame) } .debug_str      0 : { *(.debug_str) } .debug_loc      0 : { *(.debug_loc) } .debug_macinfo  0 : { *(.debug_macinfo) } 
    __reserved = 0; . = __reserved + 0x8000;
    .rom_vectors 0x4000000 :      { . = . ; KEEP (*(.vectors)) } >  rom 
    .text   ALIGN (0x4)  :    { stext = ABSOLUTE(.); PROVIDE (__stext = ABSOLUTE(.)); *(.text*) *(.gnu.warning) *(.gnu.linkonce*) *(.init) *(.glue_7) *(.glue_7t) } >  rom  etext = .; PROVIDE (__etext = .); 
    .fini   ALIGN (0x4)  :      { . = . ; *(.fini) } >  rom  
    .rodata   ALIGN (0x4)  :      { . = . ; *(.rodata*) } >  rom  
    .rodata1   ALIGN (0x4)  :      { . = . ; *(.rodata1) } >  rom  
    .fixup   ALIGN (0x4)  :      { . = . ; *(.fixup) } >  rom  
    .gcc_except_table   ALIGN (0x4)  :      { . = . ; *(.gcc_except_table) } >  rom  
    .data   0x4080000   :      { __ram_data_start = ABSOLUTE (.); *(.data*) *(.data1)   _GOT1_START_ = ABSOLUTE (.); *(.got1) _GOT1_END_ = ABSOLUTE (.); _GOT2_START_ = ABSOLUTE (.); *(.got2) _GOT2_END_ = ABSOLUTE (.); . = ALIGN (4); __DEVTAB__ = ABSOLUTE (.); KEEP (*(SORT (.devtab*))) __DEVTAB_END__ = ABSOLUTE (.); __NETDEVTAB__ = ABSOLUTE (.); KEEP (*(SORT (.netdevtab*))) __NETDEVTAB_END__ = ABSOLUTE (.); __CTOR_LIST__ = ABSOLUTE (.); KEEP (*(SORT (.ctors*))) __CTOR_END__ = ABSOLUTE (.); __DTOR_LIST__ = ABSOLUTE (.); KEEP (*(SORT (.dtors*))) __DTOR_END__ = ABSOLUTE (.); *(.dynamic) *(.sdata*) *(.sbss*) } >  ram2  __rom_data_start = LOADADDR (.data); __ram_data_end = .; PROVIDE (__ram_data_end = .); _edata = .; PROVIDE (edata = .); PROVIDE (__rom_data_end = LOADADDR (.data) + SIZEOF(.data)); 
    .bss   ALIGN (0x4)  :      { __bss_start = ABSOLUTE (.); *(.scommon) *(.dynbss) *(.bss*) *(COMMON) __bss_end = ABSOLUTE (.); } >  ram2  
    . = ALIGN(4); _end = .; PROVIDE (end = .); PROVIDE (__end__ = .);
}

